Core dump analysis

Get core dump analysis overview

GET
/workspaces/{workspaceId}/core-dumps/{coreDumpId}/analyses/{analysisId}

Authorization

API key Core dumps: read
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Core dumps: read

Path Parameters

workspaceId*string
Formatuuid
coreDumpId*string
analysisId*string

Response Body

application/json

curl -X GET "https://example.com/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/core-dumps/string/analyses/string"
{  "coreDumpId": "string",  "analysisId": null,  "state": "NotAnalyzed",  "retryAfterSeconds": null,  "deviceId": "string",  "crashReportId": null,  "buildId": null,  "os": null,  "coreDumpCreatedAt": "2019-08-24T14:15:22Z",  "analysisCreatedAt": null,  "architecture": null,  "fault": null,  "program": null,  "symbolElfSha256": null,  "sections": {    "property1": {      "status": "Ready",      "reason": null    },    "property2": {      "status": "Ready",      "reason": null    }  },  "faultCode": null,  "faultingTaskName": null,  "faultDetails": null}